Apache JMeter

## org.apache.jmeter.protocol.http.control
Class HttpMirrorServer

    java.lang.Object
      java.lang.Thread
          org.apache.jmeter.protocol.http.control.HttpMirrorServer

All Implemented Interfaces:
  Runnable, Stoppable

    public class HttpMirrorServer

extends Thread
implements Stoppable

Server daemon thread. Creates main socket and listens on it. For each client request, creates a thread to handle the request.

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`Thread.State, Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`HttpMirrorServer(int port)` Create a new Daemon with the specified port and target.

Method Summary
`Exception` `getException()`
`static void` `main(String[] args)`
`void` `run()` Listen on the daemon port and handle incoming requests.
`void` `stopServer()` Stop server

Methods inherited from class java.lang.Thread

`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpMirrorServer

    public HttpMirrorServer(int port)

  Create a new Daemon with the specified port and target.

  Parameters:
    `port` - the port to listen on.

Method Detail

### run

    public void run()

  Listen on the daemon port and handle incoming requests. This method will not exit until `stopServer()` is called or an error occurs.

  Specified by:
    `run` in interface `Runnable`
  Overrides:
    `run` in class `Thread`

### stopServer

    public void stopServer()

  Description copied from interface: `Stoppable`
  Stop server

  Specified by:
    `stopServer` in interface `Stoppable`

### getException

    public Exception getException()

### main

    public static void main(String[] args)

Apache JMeter

Copyright © 1998-2011 Apache Software Foundation. All Rights Reserved.